#!/bin/sh -e
#
# symlinks.sh - Generate convenience symbolic links
#
# Written 2001 by Werner Almesberger
#
# Copyright 2001 Network Robots
#

if [ \( "$1" != list -a "$1" != link \) -o -z "$2" -o ! -z "$3" ]; then
    echo "usage: $0 mode target_dir" 1>&2
    echo '  mode is "list" or "link"' 1>&2
    exit 1
fi
mode=$1

if [ $mode = link ]; then
    . ./config
fi

link()
{
    dest="$1"
    shift
    if [ $mode != list ]; then
	mkdir -p "$dest"
    fi
    for n in "$@"; do
#--- for sanity checks only ---------------------------------------------------
#	if [ ! -e "$n" ]; then
#	    echo "$n does not exist" 1>&2
#	    exit 1
#	fi
#------------------------------------------------------------------------------
	if [ $mode = list ]; then
	    echo "$dest/`basename \"$n\"`" | sed 's|^\./||'
	else
	    ln -sf $TOPDIR/"$n" "$dest"
	fi
    done
}


#
# bin
#
link $2/bin \
  tcc/tcc tcc/tcc-module \
  tcc/ext/tcc-ext-err \
  tcsim/tcsim tcsim/filter.pl tcsim/plot.pl \
  tcsim/modules/kmod_cc tcsim/modules/tcmod_cc

#
# include
#
link $2/include \
  tcc/fields.tc \
  tcc/ext/tccext.h tcc/ext/echoh.h tcc/ext/tcc-ext-err \
  tcsim/ip.def tcsim/tcngreg.def \
  tcsim/klib tcsim/ulib

#
# lib
#
link $2/lib \
  tcc/tcm_cls.c tcc/tcm_f.c \
  tcc/ext/libtccext.a

exit 0
